init.amoeba

## Class SerializedAMOEBAFactory

- java.lang.Object
- - init.amoeba.SerializedAMOEBAFactory

    public class SerializedAMOEBAFactory
    extends java.lang.Object

A factory for creating SerializedAMOEBA objects.

### Constructor Summary

Constructors
Constructor and Description
`SerializedAMOEBAFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AMOEBA` `createAMOBA(boolean viewer, java.lang.String path)` Creates a new SerializedAMOEBA object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializedAMOEBAFactory

    public SerializedAMOEBAFactory()

### Method Detail

#### createAMOBA

    public AMOEBA createAMOBA(boolean viewer,
                              java.lang.String path)

Creates a new SerializedAMOEBA object.

Parameters:
  `viewer` - the viewer
  `path` - the path
Returns:
  the amoeba